Help - Search - Members - Calendar
Full Version: Basic Help For Konqueror
OESF Forums > Distros, Development, and Model Specific Forums > Distro Support and Discussion > Angstrom & OpenZaurus
Jimbaloid
I have a Zaurus SL5500 and I want to make more use of it. I had got hold of a SanDisk WiFi CF card and so started dreaming of checking for webmail in my local WiFi enabled coffee shop. I soon learnt that I wasn't going to be able to use both the CF WiFi and CF memory at the same time and neither was the standard Sharp ROM going to support the SanDisk Connect WiFi. Why is it never easy?! A short surf later and I worked out that OpenZaurus should drive the SanDisk. So I got an SD RAM card to free up the CF for the WiFi and bit the bullet to reflash my precious PDA. Initial impressions of OpenZaurus have been good and it seemed to be recognising the WiFi card just fine. So then I went looking for the browser. No browser! Back to the web and I found mention of Konqueror, another hour or so and I found an .ipk file on the OpenZaurus feed - that was hard enough if you are coming at this all for the first time. Confident I was close to my goal, I loaded the package manager, selected the ipk and it failed. So then I'm back searching the feed for ipk's for various libraries on which konqueror seems to depend. libcr0, libqte2, libc++6. But it seems what ever I do, which ever ipk I try to install there are always errors of some sort or the package manager crashes or the Zaurus will stop booting into the UI. The most I ever get of Konqueror is an application icon that does nothing. While the package manager seems simple and straight forward on the surface, installing to the Z seems to be fantastically complex and interdependant, I really am loosing faith in the whole Embedix, Linux and my Z. Please can someone out there point me to the right files, and the right order to install them?! Please *please* help!
juanma
Hi, first of all, excuse my bad english.
Well, in order of install konqueror you need the packages:
libstdc6++
libpcre0
konqueror-embedded.
ibstdc & libpcre could be downloaded from the devel feed, and you mustn't have any problem installing them.
konqueror-embedded is in opie feed, but for install it you must put the options -force-depends & -nodeps or if you install from the opie package manager you need to activate the option "force dependecies (or something alike, i have opie in spanish).

Another question, in order to install packages there are two managers for opie, package-manager that is the default for opie and opie-aqpkg that is at the opie feed. I advice that you install and use aqpkg and uninstall the package-manager, because aqpkg its really stable.

Good luck!!

p.d. opera browser could be installed also, and it's better solution than konqueror-embedded
Jimbaloid
Thank you, I will try as you suggest and see if I have more luck. I'm more than happy to use Opera, but I hadn't realised that I would need to keep it from the Sharp ROM before reflashing the Z, so now I figure I've now lost my Opera - in other words, as a commercial app there will be no .ipk for available to me for download?

Your english seems more than good enough btw!


QUOTE(juanma @ Jul 13 2005, 01:29 PM)
Hi, first of all, excuse my bad english.
Well, in order of install konqueror you need the packages:
libstdc6++
libpcre0
konqueror-embedded.
ibstdc & libpcre could be downloaded from the devel feed, and you mustn't have any problem installing them.
konqueror-embedded is in opie feed, but for install it you must put the options -force-depends & -nodeps or if you install from the opie package manager you need to activate the option "force dependecies (or something alike, i have opie in spanish).

Another question, in order to install packages there are two managers for opie, package-manager that is the default for opie and opie-aqpkg that is at the opie feed. I advice that you install and use aqpkg and uninstall the package-manager, because aqpkg its really stable.

Good luck!!

p.d. opera browser could be installed also, and it's better solution than konqueror-embedded
*
palvarez
If you install hentges rom, it already has Konqueror installed in the CardFS. It really saves on hair pulling!
PrOtOn
I had no problem installing Konqueror on my 5500 using Opie.
I just installed konqueror_embedded and rebooted my collie.
lardman
QUOTE
I'm more than happy to use Opera, but I hadn't realised that I would need to keep it from the Sharp ROM before reflashing the Z, so now I figure I've now lost my Opera - in other words, as a commercial app there will be no .ipk for available to me for download?


There are some ipks floating around, they are obviously illegal, but as long as you have the machine it's just saving you the effort of running romburst.c and grabbing the files yourself.

In fact there's an ipk designed specifically for OZ floating about somewhere, try a search.


Si
This is a "lo-fi" version of our main content. To view the full version with more information, formatting and images, please click here.
Invision Power Board © 2001-2014 Invision Power Services, Inc.